Ruby: rb_econv_t Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
rb_econv_t Struct Reference

## Data Fields
int | flags
int | started
const char * | source_encoding_name
const char * | destination_encoding_name
const unsigned char * | replacement_str
size_t | replacement_len
const char * | replacement_enc
unsigned char * | in_buf_start
unsigned char * | in_data_start
unsigned char * | in_data_end
unsigned char * | in_buf_end
rb_econv_elem_t * | elems
int | replacement_allocated
int | num_allocated
int | num_trans
int | num_finished
struct rb_transcoding * | last_tc
struct {
rb_econv_result_t result
struct rb_transcoding * error_tc
const char * source_encoding
const char * destination_encoding
const unsigned char * error_bytes_start
size_t error_bytes_len
size_t readagain_len
} | last_error
rb_encoding * | source_encoding
rb_encoding * | destination_encoding

## Detailed Description

Definition at line 120 of file transcode.c.

## Field Documentation

## ◆ destination_encoding [1/2]

const char* rb_econv_t::destination_encoding

Definition at line 147 of file transcode.c.

Referenced by rb_econv_append().

## ◆ destination_encoding [2/2]

rb_encoding* rb_econv_t::destination_encoding

Definition at line 156 of file transcode.c.

## ◆ destination_encoding_name

const char* rb_econv_t::destination_encoding_name

Definition at line 125 of file transcode.c.

## ◆ elems

rb_econv_elem_t* rb_econv_t::elems

Definition at line 135 of file transcode.c.

Referenced by rb_econv_binmode(), rb_econv_close(), rb_econv_decorate_at_first(), rb_econv_decorate_at_last(), rb_econv_insert_output(), rb_econv_memsize(), rb_econv_putback(), and rb_econv_putbackable().

## ◆ error_bytes_len

size_t rb_econv_t::error_bytes_len

Definition at line 149 of file transcode.c.

## ◆ error_bytes_start

const unsigned char* rb_econv_t::error_bytes_start

Definition at line 148 of file transcode.c.

## ◆ error_tc

struct rb_transcoding* rb_econv_t::error_tc

Definition at line 145 of file transcode.c.

## ◆ flags

int rb_econv_t::flags

Definition at line 121 of file transcode.c.

Referenced by rb_econv_binmode(), rb_econv_convert(), and rb_econv_open().

## ◆ in_buf_end

unsigned char* rb_econv_t::in_buf_end

Definition at line 134 of file transcode.c.

Referenced by rb_econv_insert_output(), and rb_econv_memsize().

## ◆ in_buf_start

unsigned char* rb_econv_t::in_buf_start

Definition at line 131 of file transcode.c.

Referenced by rb_econv_close(), rb_econv_insert_output(), and rb_econv_memsize().

## ◆ in_data_end

unsigned char* rb_econv_t::in_data_end

Definition at line 133 of file transcode.c.

Referenced by rb_econv_insert_output().

## ◆ in_data_start

unsigned char* rb_econv_t::in_data_start

Definition at line 132 of file transcode.c.

Referenced by rb_econv_insert_output().

## ◆

struct { ... } rb_econv_t::last_error

## ◆ last_tc

struct rb_transcoding* rb_econv_t::last_tc

Definition at line 140 of file transcode.c.

Referenced by rb_econv_append(), and rb_econv_encoding_to_insert_output().

## ◆ num_allocated

int rb_econv_t::num_allocated

Definition at line 137 of file transcode.c.

Referenced by rb_econv_memsize().

## ◆ num_finished

int rb_econv_t::num_finished

Definition at line 139 of file transcode.c.

## ◆ num_trans

int rb_econv_t::num_trans

Definition at line 138 of file transcode.c.

Referenced by rb_econv_binmode(), rb_econv_close(), rb_econv_decorate_at_first(), rb_econv_decorate_at_last(), rb_econv_insert_output(), rb_econv_memsize(), rb_econv_putback(), and rb_econv_putbackable().

## ◆ readagain_len

size_t rb_econv_t::readagain_len

Definition at line 150 of file transcode.c.

## ◆ replacement_allocated

int rb_econv_t::replacement_allocated

Definition at line 136 of file transcode.c.

Referenced by rb_econv_close(), rb_econv_memsize(), and rb_econv_set_replacement().

## ◆ replacement_enc

const char* rb_econv_t::replacement_enc

Definition at line 129 of file transcode.c.

Referenced by rb_econv_set_replacement().

## ◆ replacement_len

size_t rb_econv_t::replacement_len

Definition at line 128 of file transcode.c.

Referenced by rb_econv_memsize(), and rb_econv_set_replacement().

## ◆ replacement_str

const unsigned char* rb_econv_t::replacement_str

Definition at line 127 of file transcode.c.

Referenced by rb_econv_close(), and rb_econv_set_replacement().

## ◆ result

rb_econv_result_t rb_econv_t::result

Definition at line 144 of file transcode.c.

## ◆ source_encoding [1/2]

const char* rb_econv_t::source_encoding

Definition at line 146 of file transcode.c.

## ◆ source_encoding [2/2]

rb_encoding* rb_econv_t::source_encoding

Definition at line 155 of file transcode.c.

## ◆ source_encoding_name

const char* rb_econv_t::source_encoding_name

Definition at line 124 of file transcode.c.

## ◆ started

int rb_econv_t::started

Definition at line 122 of file transcode.c.

Referenced by rb_econv_convert(), and rb_econv_insert_output().

The documentation for this struct was generated from the following file:

- transcode.c